Bug 106806 - [patch] raise buffer limit for ports/misc/team
Summary: [patch] raise buffer limit for ports/misc/team
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Boris Samorodov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-12-16 11:50 UTC by Eugene Grosbein
Modified: 2007-03-09 14:20 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Grosbein 2006-12-16 11:50:13 UTC
	These days 1MB buffer limit is just too low,
	this multi-gigabyte hard drives, multimegabyte RAM
	and even home DVD backup system needs something more
	while burning output of not-so-quick dump(8) program.
	Let's face it and permit using buffers upto 64MB :-)

Fix: 

Eugene Grosbein--I7U4XilZQXyNnmywFbQpF5SoUoICwdxx42maIeKkqKk8WVHz
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- ports/misc/team/files/patch-b.orig	Sat Dec 16 18:36:08 2006
+++ ports/misc/team/files/patch-b	Sat Dec 16 18:36:28 2006
@@ -1,6 +1,6 @@
---- team.c.orig	Sat Jul  1 17:33:24 1995
-+++ team.c	Mon Sep  1 16:13:15 2003
-@@ -58,8 +58,10 @@
+--- team.c.orig	Sat Jul  1 23:33:24 1995
++++ team.c	Sat Dec 16 18:34:07 2006
+@@ -58,12 +58,14 @@
    upstream to it, which has much the same effect.
  */
  
@@ -13,6 +13,11 @@
  
  #define TeamLBUFSZ	(64)		/* Low buffer size		*/
  #define TeamDBUFSZ	(60*512)	/* Default buffer size		*/
+-#define TeamHBUFSZ	(1L<<20)	/* High buffer size		*/
++#define TeamHBUFSZ	(1L<<26)	/* High buffer size		*/
+ 
+ #define TeamDTEAMSZ	4		/* Default # of processes	*/
+ #define TeamHTEAMSZ	16		/* High # of processes		*/
 @@ -84,11 +86,23 @@
  #include <sys/file.h>
  #include <sys/stat.h>
How-To-Repeat: 	Try to run 'team 2m' (to obtain 8MB buffer).
Comment 1 Edwin Groothuis freebsd_committer 2006-12-16 11:50:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->joerg

Over to maintainer
Comment 2 Eugene Grosbein 2007-01-26 12:44:33 UTC
Hi!

Maintainer timeout occured for this PR, didn't it?

Eugene Grosbein
Comment 3 Boris Samorodov freebsd_committer 2007-03-09 14:16:22 UTC
Responsible Changed
From-To: joerg->bsam

Take.
Comment 4 dfilter service freebsd_committer 2007-03-09 14:17:12 UTC
bsam        2007-03-09 14:17:07 UTC

  FreeBSD ports repository

  Modified files:
    misc/team            Makefile 
    misc/team/files      patch-b 
  Log:
  . permit using buffers upto 64MB;  [1]
  . bump PORTREVISION.
  
  PR:             106806  [1]
  Submitted by:   Eugene Grosbein <eugen at grosbein.pp.ru>  [1]
  Approved by:    joerg (maintainer timeout 10 weeks)  [1]
  Discussed at:   freebsd-hackers@, freebsd-ports@  [1]
  
  Revision  Changes    Path
  1.18      +1 -1      ports/misc/team/Makefile
  1.4       +8 -3      ports/misc/team/files/patch-b
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Boris Samorodov freebsd_committer 2007-03-09 14:19:38 UTC
State Changed
From-To: open->closed

Committed, thanks!